<template>
  <div>
    <footer
      class="fixed bottom-0 left-0 right-0 bg-white border-t rounded-t-3xl"
    >
      <div class="p-5 overflow-hidden">
        <nav
          class="-mx-2 -my-2 flex flex-wrap justify-between"
          aria-label="Footer"
        >
          <div v-for="item in navigation" :key="item.name" class="px-4 py-2">
            <nuxt-link 
              :to="item.href"
              class="text-base text-gray-500 hover:text-gray-900"
            >
              <span  v-show="item.booz" class="inline-block relative">
                <img
                  class=" rounded-md"
                  :src="item.icon"
                  alt=""
                />
                <span
                  class="absolute top-0 right-0 block h-4 w-4 text-white transform -translate-y-1/2 translate-x-1/2 rounded-full ring-2 ring-white bg-[#ed3d53]"
                >
                {{ item.booz }}
              </span>
              </span>
              <img v-show="!item.booz" :src="item.icon" alt="" />
            </nuxt-link>
          </div>
        </nav>
      </div>
    </footer>
  </div>
</template>

<script>
const navigation = [
  { name: 'home', href: '/', icon: '/mobile/bottomNavbar/home.svg' },
  {
    name: 'badge-percent',
    href: '#',
    icon: '/mobile/bottomNavbar/badge-percent.svg',
  },
  { name: 'categories', href: '/mobile/categories', icon: '/mobile/bottomNavbar/menu.svg' },
  {
    name: 'shopping',
    href: '/checkout',
    icon: '/mobile/bottomNavbar/shopping-cart (2).svg',
    booz: '5',
  },
  { name: 'profile', href: '/mobile/profile', icon: '/mobile/bottomNavbar/profile.svg' },
]
export default {
  data() {
    return {
      navigation,
    }
  },
}
</script>

<style lang="scss" scoped></style>
